/* Cores customizadas */
:root {
    --color-neutral-100: #212121;
    --color-neutral-200: #616161;
    --color-neutral-300: #757575;
    --color-neutral-700: #E0E0E0;
    --color-neutral-600: #F4EFFD;
    --color-neutral-800: #F3F3F3;
    --color-neutral-900: #FFFFFF;
    --color-primary: #ff4107;
    --color-secondary:#042c41;
    --color-tertiary: #2e2e2e;

    /* Fonts Family */
    --font-family-01: "Inter", sans-serif;
}
html{
    font-size: 16px;
    font-weight: 400;
    letter-spacing: .02rem;
}

@media screen and (max-width: 999px) {
    html{
        font-size: 15px;
    }
}

@media screen and (max-width: 768px) {
    html{
        font-size: 14px;
    }
}

@media screen and (max-width: 576px) {
    html{
        font-size: 13px;
    }
}
body{
    font-family: var(--font-family-01);
    color: var(--color-neutral-300);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
form{
    touch-action: manipulation;
    background-color: var(--color-neutral-700);
    padding: 2rem;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    row-gap: 1.3rem;
}
form label{
}
input,
textarea,
select{
    width: 100%;
    background-color: var(--color-neutral-900);
    touch-action: manipulation;
    font-weight: 500;
    color: var(--color-neutral-300);
    border: 1px solid #9E9E9E;
    border-radius: 5px;
    padding: 15px;
}
textarea{
    min-height: 1rem;
    max-height: 10rem;
}
select{
    appearance: none !important;
    -webkit-appearance: none !important;
    background: transparent url(./assets/img/default-dropdown.svg) no-repeat right 1rem center;
    background-size: .6rem; /* Tamanho da imagem */
    background-color: var(--color-neutral-800);
}
/*********** Start Fonts ***********/
.font-family-01{
    font-family: var(--font-family-01);
}
/*********** End Fonts ***********/

/*********** Start Background ***********/
.bg-color-neutral-100{
	background-color: var(--color-neutral-100);
}
.bg-color-neutral-200{
	background-color: var(--color-neutral-200);
}
.bg-color-neutral-800{
	background-color: var(--color-neutral-800);
}
.bg-color-neutral-900{
	background-color: var(--color-neutral-900);
}
.bg-color-primary{
	background-color: var(--color-primary);
}
.bg-color-secondary{
	background-color: var(--color-secondary);
}
/*********** End Background ***********/

/*********** Start Colors ***********/
.text-color-neutral-100{
	color: var(--color-neutral-100);
}
.text-color-neutral-200{
	color: var(--color-neutral-200);
}
.text-color-neutral-800{
	color: var(--color-neutral-800);
}
.text-color-neutral-900{
	color: var(--color-neutral-900);
}
.text-color-primary{
	color: var(--color-primary);
}
.text-color-secondary{
	color: var(--color-secondary);
}
/*********** End Colors ***********/

/*********** Start Text sizes ***********/
.heading-size-xs {
	font-size: 1rem; /* 16px */
}
.heading-size-sm {
	font-size: 1.125rem; /* 18px */
}
.heading-size-md {
	font-size: 1.375rem; /* 22px */
}
.heading-size-lg {
	font-size: 1.5rem; /* 24px */
}
.heading-size-xl {
	font-size: 3rem; /* 48px */
}
.heading-size-xxl {
	font-size: 4rem; /* 64px */
}
@media screen and (max-width: 576px) {
    .heading-size-xl {
        font-size: 2.3rem;
    }
    .heading-size-xxl {
        font-size: 3.3rem;
    }
}

.text-size-xs {
	font-size: 0.656rem;  /* 10.5px */
}
.text-size-sm {
	font-size: 0.75rem; /* 12px */
}
.text-size-md {
	font-size: 0.875rem; /* 14px */
}
.text-size-lg {
	font-size: 1rem !important; /* 16px */
}
.text-size-xl {
	font-size: 1.125rem; /* 18px */
}
.text-size-xxl {
	font-size: 1.25rem; /* 20px */
}

@media screen and (max-width: 576px) {

}
/*********** End Text sizes ***********/

/*********** Start Font Weight ***********/
.font-weight-300{
    font-weight: 300;
}
.font-weight-400{
    font-weight: 400;
}
.font-weight-500{
    font-weight: 500;
}
.font-weight-600{
    font-weight: 600;
}
.font-weight-700{
    font-weight: 700;
}
.font-weight-800{
    font-weight: 800;
}
/*********** End Font Weight ***********/

/*********** Start Button ***********/
.btn-style{
    padding: 14px 20px;
    border-radius: 5px;
    font-size: 1.125rem;
    font-weight: 500;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: .6rem;
}
.btn-style-01 {
    background-color: var(--color-primary);
    border: 1px solid var(--color-primary);
    color: var(--color-neutral-900);
}
.btn-style-02 {
    background-color: transparent;
    border: 1px solid var(--color-primary);
    color: var(--color-primary);
}
.btn-style-03 {
    background-color: var(--color-secondary);
    border: 1px solid var(--color-secondary);
    color: var(--color-neutral-900);
}
/*********** End Button ***********/

/********* Start Swiper Config *********/
.swiper-pagination-bullet{
    width: 11px;
    height: 3px;
    border-radius: 10px;
}
.blog-pagination .swiper-pagination-bullet{
    background-color: var(--color-neutral-400);
    opacity: 1;
}
.swiper-pagination-bullet-active{
    width: 41px;
    background-color: var(--color-neutral-100);
}
.swiper-button-next, .swiper-button-prev {
    width: 60px;
    height: 60px;
    font-size: 1.2rem;
    color: var(--color-neutral-300);
}
.swiper-button-prev{
    left: 0;
}
.swiper-button-next{
    right: 0;
}
.swiper-button-next:after, 
.swiper-button-prev:after {
    font-size: 20px;
}
/********* End Swiper Config *********/

@media screen and (max-width: 576px) {
    .container{
        padding: 0 30px;
    }
}


.aspect-ratio-1440x735{
    aspect-ratio: 1440/735;
}
.aspect-ratio-1235x445{
    aspect-ratio: 1235/445;
}
.aspect-ratio-722x395{
    aspect-ratio: 722/395;
}
.aspect-ratio-710x325{
    aspect-ratio: 710/325;
}
.aspect-ratio-685x430{
    aspect-ratio: 685/430;
}
.aspect-ratio-600x800{
    aspect-ratio: 600/800;
}
.aspect-ratio-640x640{
    aspect-ratio: 640/640;
}
.aspect-ratio-50x50{
    aspect-ratio: 50/50;
}
.aspect-ratio-20x20{
    aspect-ratio: 20/20;
}
